Bug 458897 - nautilus - Unable to add monitor: Operation not supported
nautilus - Unable to add monitor: Operation not supported
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 20:39 EDT by Flóki Pálsson
Modified: 2015-03-03 17:33 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-14 06:26:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flóki Pálsson 2008-08-12 20:39:25 EDT
Description of problem:
When nautilus is run from terminal as root ( su - )
the there is warning in terminal.
When traying to copy warning the terminal disappers .


Version-Release number of selected component (if applicable):
nautilus-2.23.6.1-1.fc10.x86_64

How reproducible:
always 

Steps to Reproduce:
1.
floki@localhost ~]$ nautilus
[floki@localhost ~]$ 
This works fine - no warning 
2.
[root@localhost ~]# nautilus
response - nautilus in window  
but warning in terminal 
"
** (nautilus:10666): WARNING **: Unable to add monitor: Operation not supported
"
When traying to copy warning from terminal then terminal disappers.

3.
root@localhost ~]# nautilus   2> /home/floki/xx3.txt

warning written to file
** (nautilus:10666): WARNING **: Unable to add monitor: Operation not supported
and possible to copy from terminal

  
Actual results:


Expected results:



Additional info:
Comment 1 Flóki Pálsson 2008-08-12 21:03:21 EDT
rhythmbox shows similar behaveior we started from terminal .
qunata too.
Comment 2 Flóki Pálsson 2008-08-30 08:49:12 EDT
Now with 
nautilus-2.23.90-2.fc10.x86_64

In first  start  there is diffrent response

[root@localhost ~]# nautilus


** (nautilus:3266): WARNING **: Unable to add monitor: Operation not supported

--- Hash table keys for warning below:
--> file:///

(nautilus:3266): Eel-WARNING **: "nautilus-metafile.c: metafiles" hash table still has 1 element at quit time (keys above)

(nautilus:3266): Eel-WARNING **: "nautilus-directory.c: directories" hash table still has 1 element at quit time
[root@localhost ~]# 
[root@localhost ~]# nautilus

** (nautilus:3284): WARNING **: Unable to add monitor: Operation not supported
[root@localhost ~]#
Comment 3 Flóki Pálsson 2008-08-30 08:58:54 EDT
It is now possible to copy from terminal.
Comment 4 Tomáš Bžatek 2008-09-01 05:31:05 EDT
The warning about adding monitor comes from certain gvfs mounts (computer, trash?) and is safe to ignore it.
Comment 5 Bug Zapper 2008-11-25 21:45:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christopher Beland 2009-02-04 17:57:00 EST
With nautilus-2.25.4-1.fc11.x86_64 and gvfs-1.1.5-1.fc11.x86_64, I see this when I log into my Gnome session, before I do anything:

** (nautilus:4256): WARNING **: Unable to add monitor: Not supported

Is this the same problem?  Is there missing functionality, or does this warning just need to be suppressed?
Comment 7 Bug Zapper 2009-11-18 07:38:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Flóki Pálsson 2009-12-31 10:59:30 EST
In F12 ok 
[root@flokipa ~]#  nautilus
Initializing nautilus-gdu extension

Shutting down nautilus-gdu extension
[root@flokipa ~]#

Note You need to log in before you can comment on or make changes to this bug.